Log in or register to post comments

Could not initialize the tracker after Update to 6.2

January 10, 2017 - 5:38am #1

Hi,

 

I've recently updated to Vuforia 6.2 (Unity). After I've done everything in the update guide I got the following error:

 

Could not initialize the tracker.

UnityEngine.Debug:LogError(Object)

Vuforia.TrackerManagerImpl:InitTracker()

Vuforia.VuforiaARController:Start()

System.Delegate:DynamicInvoke(Object[])

Vuforia.DelegateHelper:InvokeDelegate(Delegate, Object[])

Vuforia.DelegateHelper:InvokeWithExceptionHandling(Action)

Vuforia.VuforiaAbstractBehaviour:Start()



I've tested this with an empty scene with just the ARCamera prefab from Vuforia in it: Same error message.

This happened in the unity editor with unity 5.5.0f3



Unfortunatly most of Vuforia is in an .dll and therefore I can't look into it myself.

in an additional test I integrated Vuforia in a new and empty unity project which resulted in no error message. So something must have gone wrong when I updated from my old version to the new. But I did everything I was told to do in the Migration guide.



So what specifically causes a "Could not initialize the tracker."

 

Thanks in advance

Could not initialize the tracker after Update to 6.2

September 14, 2019 - 7:40pm #5

thankyou!!! i was trying to solve that isuue for a long time , finally it worked when i deleted the library folder under the unity  project root to force Unity to reimport the assets cleanly. :)

 

Could not initialize the tracker after Update to 6.2

March 13, 2017 - 5:39pm #4

Hello,

The error message is generic and doesn't provide a good clue as to why your project is no longer working after the migration.

We have lots of "project breaks after upgrade" reports. One simple trick is to delete the /Library folder under the Unity project root to force Unity to reimport the assets cleanly. This has worked for many.

Thanks

Could not initialize the tracker after Update to 6.2

March 13, 2017 - 12:31pm #3

Same problem...

Could not initialize the tracker after Update to 6.2

March 8, 2017 - 5:08pm #2

Were you ever able to fix this error? I'm getting the same problem.

Log in or register to post comments